Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::ViewPoint Struct Reference

Structure for holding a position & orientation pair. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Attributes

Vector3 | position
Quaternion | orientation

## Detailed Description

Structure for holding a position & orientation pair.

Definition at line 50 of file OgreSceneManager.h.

## Member Data Documentation

Quaternion Ogre::ViewPoint::orientation

| Definition at line 53 of file OgreSceneManager.h. Referenced by Ogre::SceneManager::getSuggestedViewpoint(), and Ogre::BspLevel::loadEntities().

Vector3 Ogre::ViewPoint::position

| Definition at line 52 of file OgreSceneManager.h. Referenced by Ogre::SceneManager::getSuggestedViewpoint(), and Ogre::BspLevel::loadEntities().

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:51:46 2004